ユーザーグループの作成

新しいユーザーグループを作成します。

HTTPリクエスト

POST /api/sonar/user-groups
cURL例
curl -H "Authorization: Bearer <API_KEY>" \
     -d name="Cyber Security" \
     -X POST \
     https://HOSTNAME/api/sonar/user-groups
リクエストパラメータ
キー必須説明備考
name文字列ユーザーグループ名最小1文字、最大200文字
guid×文字列ユーザーグループGUID36文字
company_guid×文字列会社GUID36文字。クラスター管理者のみ使用可能
description×文字列説明最大2,000文字
user_guids×配列ユーザー識別子リスト無効なユーザー識別子は無視されます

正常応答

{
  "guid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}

エラー応答

必須パラメータが欠落している場合
{
  "error_code": "null-argument",
  "error_msg": "name should be not null"
}
パラメータ値の長さが不正な場合
{
  "error_code": "invalid-argument",
  "error_msg": "'name' must be shorter than or equal to 200 characters."
}
ユーザー識別子がGUID形式でない場合
{
  "error_code": "invalid-param-type",
  "error_msg": "user_guids should be guid type."
}